
Name:           kdiagram
Version:        2.7.0
Release:        %mkrel 1
Summary:        Powerful libraries (KChart, KGantt) for creating business diagrams
License:        GPLv2+
Group:          Graphical desktop/KDE5
Url:            https://quickgit.kde.org/?p=kdiagram.git
Source0:        http://download.kde.org/stable/kdiagram/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: kf5-macros
BuildRequires: cmake
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5printsupport-devel
BuildRequires: lib64qt5svg-devel 
BuildRequires: lib64qt5widgets-devel
BuildRequires: qtbase5-common-devel

%description
Powerful libraries (KChart, KGantt) for creating business diagrams.

#---------------------------------------------

%define kchart_major 2
%define libkchart    %mklibname kchart %{kchart_major}

%package -n     %{libkchart}
Summary:        Powerful libraries KChart for creating business diagrams
Group:          System/Libraries

%description -n %{libkchart}
Powerful libraries KChart for creating business diagrams.

%files -n %{libkchart} -f kchart_qt.lang
%{_kf5_libdir}/libKChart.so.%{kchart_major}*

#---------------------------------------------

%define kgantt_major 2
%define libkgantt    %mklibname kgantt %{kgantt_major}

%package -n     %{libkgantt}
Summary:        Powerful libraries KGantt for creating business diagrams
Group:          System/Libraries

%description -n %{libkgantt}
Powerful libraries KGantt for creating business diagrams.

%files -n %{libkgantt} -f kgantt_qt.lang
%{_kf5_libdir}/libKGantt.so.%{kgantt_major}*

#---------------------------------------------

%define develname %mklibname %{name} -d

%package -n     %{develname}
Summary:        Development package for %{name}
Group:          Development/Libraries
Requires:       %{libkchart} = %{version}-%{release}
Requires:       %{libkgantt} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       kchart-devel = %{version}-%{release}
Provides:       kgantt-devel = %{version}-%{release}

%description -n %{develname}
Header files for development with %{name}.
This package include KChart and KGantt header files.

%files -n %{develname}
%{_includedir}/KChart/
%{_includedir}/KGantt/
%{_includedir}/kchart_version.h
%{_includedir}/kgantt_version.h
%{_kf5_libdir}/libKChart.so
%{_kf5_libdir}/libKGantt.so
%{_kf5_libdir}/cmake/KChart/
%{_kf5_libdir}/cmake/KGantt/
%{_kf5_mkspecsdir}/qt_KChart.pri
%{_kf5_mkspecsdir}/qt_KGantt.pri

#---------------------------------------------

%prep
%setup -q

%build
%cmake_kf5
%make

%install
rm -rf %buildroot
%make_install -C build

%find_lang_kf5 kchart_qt
%find_lang_kf5 kgantt_qt


%changelog
* Sun Apr 26 2020 tex - 2.7.0-1pclos2020
- new version

* Mon Apr 13 2020 tex - 2.6.3-1pclos2020
- new version

* Mon Mar 30 2020 tex - 2.6.2-1pclos2020
- new version

* Fri Feb 23 2018 bb2 <bb2> - 2.6.0-2pclos2018
- rebuild against updates

* Thu Dec 15 2016 bb <bb> - 2.6.0-1pclos2017
- update

